
Core - Bug # 60245

Status: Resolved Priority: Should have
Author: Markus Günther Category: Database API
Created: 2014-07-10 Assigned To:
Updated: 2014-07-24 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: no-brainer
Is Regression: No
Sprint Focus:
Subject: Database table structure for fe_groups is incomplete
Description

If your using frontend usergroups via extbase and creating new groups via extbase - you will have a problem when you want to use
the new groups.

In the database structure the description, subgroup and TSconfig property has no default and no "NOT NULL". So if you create the
new group via extbase the group has the value NULL for subgroup and this gives you a nice exception.

In my opinion it don't hurts if we add "NOT NULL" to this properties.

In extbase we also have no default value for the tx_extbase_type property. The core always writes a 0 in this field, but when you
create the record via extbase and don't care about this field, the field is emtpy. To be consistent we should also define a default value
for that.

Related issues:
related to Core - Bug # 60514: Database analyzer does not parse TEXT null / n... Closed 2014-07-24

Associated revisions
Revision 2351b207 - 2014-07-24 12:14 - Markus Günther

[BUGFIX] Complete datatable structure fe_groups

While creating frontend groups via extbase without any subgroup set,
the record will have the value NULL in the database
for the property subgroup.
This leads to an exception.

This patch only defines TSconfig, subgroups and description not
to accept NULL and to be consistent the tx_extbase_type gets
the default value 0.

Resolves: #60245
Releases: 6.3, 6.2
Change-Id: Ie402d4c47058755efe40cc762f4220ba7dc6b781
Reviewed-on: http://review.typo3.org/31560
Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Reviewed-by: Susanne Moog <typo3@susannemoog.de>
Tested-by: Susanne Moog <typo3@susannemoog.de>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

Revision 7d42b929 - 2014-07-24 12:15 - Markus Günther

[BUGFIX] Complete datatable structure fe_groups

While creating frontend groups via extbase without any subgroup set,
the record will have the value NULL in the database
for the property subgroup.
This leads to an exception.

This patch only defines TSconfig, subgroups and description not
to accept NULL and to be consistent the tx_extbase_type gets
the default value 0.

Resolves: #60245
Releases: 6.3, 6.2
Change-Id: Ie402d4c47058755efe40cc762f4220ba7dc6b781
Reviewed-on: http://review.typo3.org/31747
Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History
#1 - 2014-07-10 17:30 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31560

#2 - 2014-07-10 17:58 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31560

#3 - 2014-07-13 15:42 - Markus Günther

Should i create a small test extension?

#4 - 2014-07-24 09:25 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31560

#5 - 2014-07-24 11:18 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31560

#6 - 2014-07-24 12:15 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31747

#7 - 2014-07-24 12:30 - Markus Günther
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2351b20722c0ad6188f2d8a79dac66af4a5772aa.
